## OASIS Open Document

OASIS Open Document

## Functions

GsfXMLInNS const * | gsf_odf_get_ns ()
short | gsf_odf_get_version ()
char const * | gsf_odf_get_version_string ()
GError * | gsf_opendoc_metadata_read ()
void | gsf_opendoc_metadata_subtree ()
gboolean | gsf_opendoc_metadata_write ()
GType | gsf_doc_prop_get_type ()
int | gsf_odf_out_get_version ()
char * | gsf_odf_out_get_version_string ()
short | get_gsf_odf_version ()
char const * | get_gsf_odf_version_string ()
GsfXMLInNS * | get_gsf_ooo_ns ()

## Description

## Functions

### gsf_odf_get_ns ()

    GsfXMLInNS const *
    gsf_odf_get_ns (void);

#### Returns

the used ODF namespace

Since: 1.14.24

### gsf_odf_get_version ()

    short
    gsf_odf_get_version (void);

Gives the ODF version used by libgsf when writing Open Document files.

#### Returns

the ODF version: 102.

Since: 1.14.24

### gsf_odf_get_version_string ()

    char const *
    gsf_odf_get_version_string (void);

Gives the ODF version used by libgsf when writing Open Document files.

#### Returns

the ODF version as a string: "1.2".

Since: 1.14.24

### gsf_opendoc_metadata_read ()

    GError *
    gsf_opendoc_metadata_read (GsfInput *input,
                               GsfDocMetaData *md);

`gsf_opendoc_metadata_read` has been deprecated since version 1.14.24 and should not be used in newly-written code.

, use gsf_doc_meta_data_read_from_odf

Read an OpenDocument metadata stream from `input` and store the properties into `md` . Overwrite any existing properties with the same id.

[skip]

#### Parameters

input | GsfInput |
md | GsfDocMetaData |

#### Returns

a GError if there is a problem.

[transfer full]

### gsf_opendoc_metadata_subtree ()

    void
    gsf_opendoc_metadata_subtree (GsfXMLIn *doc,
                                  GsfDocMetaData *md);

`gsf_opendoc_metadata_subtree` has been deprecated since version 1.14.24 and should not be used in newly-written code.

, use gsf_doc_meta_data_odf_subtree

Extend `xin` so that it can parse a subtree in OpenDoc metadata format

[skip]

#### Parameters

doc | GsfXMLInDoc |
md | GsfDocMetaData |

### gsf_opendoc_metadata_write ()

    gboolean
    gsf_opendoc_metadata_write (gpointer output,
                                GsfDocMetaData const *md);

`gsf_opendoc_metadata_write` has been deprecated since version 1.14.24 and should not be used in newly-written code.

, use gsf_doc_meta_data_write_to_odf

[skip]

#### Parameters

output | a pointer to a GsfOutput. |
md | GsfDocMetaData |

#### Returns

`TRUE` if no error occured.

### gsf_doc_prop_get_type ()

    GType
    gsf_doc_prop_get_type (void);

### gsf_odf_out_get_version ()

    int
    gsf_odf_out_get_version (GsfODFOut *oout);

### gsf_odf_out_get_version_string ()

    char *
    gsf_odf_out_get_version_string (GsfODFOut *oout);

### get_gsf_odf_version ()

    short
    get_gsf_odf_version (void);

`get_gsf_odf_version` has been deprecated since version 1.14.24 and should not be used in newly-written code.

, use gsf_odf_get_version

Gives the ODF version used by libgsf when writing Open Document files.

[skip]

#### Returns

the ODF version: 102.

### get_gsf_odf_version_string ()

    char const *
    get_gsf_odf_version_string (void);

`get_gsf_odf_version_string` has been deprecated since version 1.14.24 and should not be used in newly-written code.

, use gsf_odf_get_version_string

Gives the ODF version used by libgsf when writing Open Document files.

[skip]

#### Returns

the ODF version as a string: "1.2".

### get_gsf_ooo_ns ()

    GsfXMLInNS *
    get_gsf_ooo_ns (void);

`get_gsf_ooo_ns` has been deprecated since version 1.14.24 and should not be used in newly-written code.

, use gsf_odf_get_ns

[skip]

#### Returns

the used ODF namespace

## Types and Values